package fel.kte.pkropik.it;

import java.util.InputMismatchException;
import java.util.Scanner;

public class Prvni {

    public static void main(String[] args) {
        Zvire mazlik;

        mazlik = new Zvire();
        System.out.format("%x%n", mazlik.hashCode());

        mazlik = new Zvire();
        System.out.format("%x%n", mazlik.hashCode());

        System.out.println(mazlik);
        System.out.println(mazlik.getJmeno());
        System.out.println(mazlik.getVyska());

        /*
        int neniInicializovana;
        System.out.println(neniInicializovana);
        */

        mazlik.setJmeno("Pepa");

        Scanner klavesnice = new Scanner(System.in);
        int novaVyska;
        while (true) {
            try {
                System.out.format("Zadejte novou výšku: ");
                novaVyska = klavesnice.nextInt();
                mazlik.setVyska(novaVyska);
                System.out.println("Výška ok, nastaveno");
                break;
            } catch (ZapornaHodnotaVyjimka ex) {
                System.out.println("Nelze zadat zápornou výšku");
                System.out.println(ex.getMessage());
            } catch (InputMismatchException ex) {
                System.out.format("Zadejte celé číslo...%n");
                klavesnice.next();
            }
        }

        System.out.println(mazlik.getJmeno());
        System.out.println(mazlik.getVyska());

        Zvire previt;
        try {
            previt = new Zvire(102, "Lojzik");
            System.out.println(previt.getJmeno());
            System.out.println(previt.getVyska());
        } catch (ZapornaHodnotaVyjimka ex) {
            System.out.println("Nelze zadat zápornou výšku");
            System.out.println(ex.getMessage());
        }
    }
}
